Skip to main content
POST
/
webhooks
Create a webhook
curl --request POST \
  --url https://api.synctera.com/v2/webhooks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "enabled_events": [],
  "is_enabled": true,
  "url": "<string>",
  "description": "<string>",
  "metadata": "<string>",
  "tenant": "abcdef_ghijkl"
}
'
{
  "enabled_events": [],
  "is_enabled": true,
  "url": "<string>",
  "description": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "last_updated": "2023-11-07T05:31:56Z",
  "metadata": "<string>",
  "tenant": "abcdef_ghijkl"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Webhook to create

Webhook object

enabled_events
enum<string>[]
required

A list of the events that will trigger the webhook. Subscribing to a wildcard event, e.g. ACCOUNT.*, will send all webhooks for all events that match that pattern. Note that this can include new event types added after the subscription was created.

All the webhook event types

Available options:
ACCOUNT.CREATED,
ACCOUNT.UPDATED,
ADDRESS.CREATED,
ADDRESS.UPDATED,
ACH.INCOMING.FUTURE_DATED,
APPLICATION.CREATED,
APPLICATION.UPDATED,
BUSINESS.CREATED,
BUSINESS.UPDATED,
BUSINESS.VERIFICATION_OUTCOME.UPDATED,
CARD.CREATED,
CARD.DIGITALWALLETTOKEN.CREATED,
CARD.DIGITALWALLETTOKEN.UPDATED,
CARD.IMAGE.UPDATED,
CARD.THREE_DS.DECISION,
CARD.THREE_DS.AUTHENTICATION,
CARD.UPDATED,
CASE.CREATED,
CASE.UPDATED,
CASH_PICKUP.CREATED,
CASH_PICKUP.UPDATED,
CREDIT_SCORE.CREATED,
CUSTOMER.CREATED,
CUSTOMER.KYC_OUTCOME.UPDATED,
CUSTOMER.UPDATED,
DOCUMENT_VERIFICATION_SESSION.CREATED,
DOCUMENT_VERIFICATION_SESSION.UPDATED,
EXTERNAL_CARD_TRANSFER.CREATED,
EXTERNAL_CARD_TRANSFER.UPDATED,
EXTERNAL_CARD.CREATED,
EXTERNAL_CARD.DELETED,
EXTERNAL_CARD.UPDATED,
INTEREST.MONTHLY_PAYOUT,
INTERNAL_ACCOUNT.CREATED,
INTERNAL_ACCOUNT.UPDATED,
INTERNAL_TRANSFER.SUCCEEDED,
NOTE.CREATED,
NOTE.UPDATED,
PAYMENT_SCHEDULE.CREATED,
PAYMENT_SCHEDULE.PAYMENT.CREATED,
PAYMENT_SCHEDULE.UPDATED,
PERSON.CREATED,
PERSON.UPDATED,
PERSON.VERIFICATION_OUTCOME.UPDATED,
STATEMENT.CREATED,
TRANSACTION.PENDING.CREATED,
TRANSACTION.PENDING.UPDATED,
TRANSACTION.POSTED.CREATED,
TRANSACTION.POSTED.UPDATED,
SPEND_CONTROL.CREATED,
SPEND_CONTROL.UPDATED,
SPEND_CONTROL.VIOLATED,
EDD.CREATED,
EDD.DELETED,
CRR.CREATED,
DOCUMENT.CREATED,
DOCUMENT.UPDATED,
DOCUMENT.DELETED,
DOCUMENT.RETRIEVED,
RESOURCE_MAPPING.CREATED,
RESOURCE_MAPPING.UPDATED,
RESOURCE_MAPPING.DELETED
is_enabled
boolean
required

Set the webhook to be enabled or disabled

url
string<uri>
required

URL that the webhook will send request to

Maximum string length: 1000
description
string

A description of what the webhook is used for

metadata
string

Additional information stored to the webhook

Maximum string length: 1024
tenant
string

The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.

Example:

"abcdef_ghijkl"

Callbacks

POST
{$request.body#/url}WebhookRequest

Body

application/json

Request body for webhook http request

event_time
string<date-time>
required

Timestamp of the current event raised

id
string<uuid>
required

The unique ID of the current event

metadata
string
required

Metadata that stored in the webhook subscription

Maximum string length: 1024
type
enum<string>
required

All the webhook event types

Available options:
ACCOUNT.CREATED,
ACCOUNT.UPDATED,
ADDRESS.CREATED,
ADDRESS.UPDATED,
ACH.INCOMING.FUTURE_DATED,
APPLICATION.CREATED,
APPLICATION.UPDATED,
BUSINESS.CREATED,
BUSINESS.UPDATED,
BUSINESS.VERIFICATION_OUTCOME.UPDATED,
CARD.CREATED,
CARD.DIGITALWALLETTOKEN.CREATED,
CARD.DIGITALWALLETTOKEN.UPDATED,
CARD.IMAGE.UPDATED,
CARD.THREE_DS.DECISION,
CARD.THREE_DS.AUTHENTICATION,
CARD.UPDATED,
CASE.CREATED,
CASE.UPDATED,
CASH_PICKUP.CREATED,
CASH_PICKUP.UPDATED,
CREDIT_SCORE.CREATED,
CUSTOMER.CREATED,
CUSTOMER.KYC_OUTCOME.UPDATED,
CUSTOMER.UPDATED,
DOCUMENT_VERIFICATION_SESSION.CREATED,
DOCUMENT_VERIFICATION_SESSION.UPDATED,
EXTERNAL_CARD_TRANSFER.CREATED,
EXTERNAL_CARD_TRANSFER.UPDATED,
EXTERNAL_CARD.CREATED,
EXTERNAL_CARD.DELETED,
EXTERNAL_CARD.UPDATED,
INTEREST.MONTHLY_PAYOUT,
INTERNAL_ACCOUNT.CREATED,
INTERNAL_ACCOUNT.UPDATED,
INTERNAL_TRANSFER.SUCCEEDED,
NOTE.CREATED,
NOTE.UPDATED,
PAYMENT_SCHEDULE.CREATED,
PAYMENT_SCHEDULE.PAYMENT.CREATED,
PAYMENT_SCHEDULE.UPDATED,
PERSON.CREATED,
PERSON.UPDATED,
PERSON.VERIFICATION_OUTCOME.UPDATED,
STATEMENT.CREATED,
TRANSACTION.PENDING.CREATED,
TRANSACTION.PENDING.UPDATED,
TRANSACTION.POSTED.CREATED,
TRANSACTION.POSTED.UPDATED,
SPEND_CONTROL.CREATED,
SPEND_CONTROL.UPDATED,
SPEND_CONTROL.VIOLATED,
EDD.CREATED,
EDD.DELETED,
CRR.CREATED,
DOCUMENT.CREATED,
DOCUMENT.UPDATED,
DOCUMENT.DELETED,
DOCUMENT.RETRIEVED,
RESOURCE_MAPPING.CREATED,
RESOURCE_MAPPING.UPDATED,
RESOURCE_MAPPING.DELETED
url
string<uri>
required

URL that you specified for the webhook and where this request will be sent

Maximum string length: 1000
webhook_id
string<uuid>
required

Id of the Webhook the current request belongs to

event_resource
string

Json string of object associated with the event. For example, if your event is ACCOUNT.CREATED, You can refer to Acccount to parse the account event to obtain the ID, status etc.

event_resource_changed_fields
string

Json string of object associated with the event related to a resource change. This only contains those fields that have value changed on the event, and the field values are prior to the resource change event.

response_history
Response history · object[]
deprecated

Response history of the webhook request

status
enum<string>
deprecated

Current event status. Failing event will keep retry until it is purged.

Available options:
RUNNING,
SUCCESS,
RETRYING,
FAILED

Response

200

Your server returns this code if it accepts the webhook request object

Response

Created webhook

Webhook object

enabled_events
enum<string>[]
required

A list of the events that will trigger the webhook. Subscribing to a wildcard event, e.g. ACCOUNT.*, will send all webhooks for all events that match that pattern. Note that this can include new event types added after the subscription was created.

All the webhook event types

Available options:
ACCOUNT.CREATED,
ACCOUNT.UPDATED,
ADDRESS.CREATED,
ADDRESS.UPDATED,
ACH.INCOMING.FUTURE_DATED,
APPLICATION.CREATED,
APPLICATION.UPDATED,
BUSINESS.CREATED,
BUSINESS.UPDATED,
BUSINESS.VERIFICATION_OUTCOME.UPDATED,
CARD.CREATED,
CARD.DIGITALWALLETTOKEN.CREATED,
CARD.DIGITALWALLETTOKEN.UPDATED,
CARD.IMAGE.UPDATED,
CARD.THREE_DS.DECISION,
CARD.THREE_DS.AUTHENTICATION,
CARD.UPDATED,
CASE.CREATED,
CASE.UPDATED,
CASH_PICKUP.CREATED,
CASH_PICKUP.UPDATED,
CREDIT_SCORE.CREATED,
CUSTOMER.CREATED,
CUSTOMER.KYC_OUTCOME.UPDATED,
CUSTOMER.UPDATED,
DOCUMENT_VERIFICATION_SESSION.CREATED,
DOCUMENT_VERIFICATION_SESSION.UPDATED,
EXTERNAL_CARD_TRANSFER.CREATED,
EXTERNAL_CARD_TRANSFER.UPDATED,
EXTERNAL_CARD.CREATED,
EXTERNAL_CARD.DELETED,
EXTERNAL_CARD.UPDATED,
INTEREST.MONTHLY_PAYOUT,
INTERNAL_ACCOUNT.CREATED,
INTERNAL_ACCOUNT.UPDATED,
INTERNAL_TRANSFER.SUCCEEDED,
NOTE.CREATED,
NOTE.UPDATED,
PAYMENT_SCHEDULE.CREATED,
PAYMENT_SCHEDULE.PAYMENT.CREATED,
PAYMENT_SCHEDULE.UPDATED,
PERSON.CREATED,
PERSON.UPDATED,
PERSON.VERIFICATION_OUTCOME.UPDATED,
STATEMENT.CREATED,
TRANSACTION.PENDING.CREATED,
TRANSACTION.PENDING.UPDATED,
TRANSACTION.POSTED.CREATED,
TRANSACTION.POSTED.UPDATED,
SPEND_CONTROL.CREATED,
SPEND_CONTROL.UPDATED,
SPEND_CONTROL.VIOLATED,
EDD.CREATED,
EDD.DELETED,
CRR.CREATED,
DOCUMENT.CREATED,
DOCUMENT.UPDATED,
DOCUMENT.DELETED,
DOCUMENT.RETRIEVED,
RESOURCE_MAPPING.CREATED,
RESOURCE_MAPPING.UPDATED,
RESOURCE_MAPPING.DELETED
is_enabled
boolean
required

Set the webhook to be enabled or disabled

url
string<uri>
required

URL that the webhook will send request to

Maximum string length: 1000
description
string

A description of what the webhook is used for

id
string<uuid>
read-only

The unique ID of the webhook

last_updated
string<date-time>
read-only

Timestamp that this webhook was created or the last time any field was changed

metadata
string

Additional information stored to the webhook

Maximum string length: 1024
tenant
string

The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.

Example:

"abcdef_ghijkl"